OpenTTD

Functions
subsidy_func.h File Reference

Functions related to subsidies. More...

`#include "core/geometry_type.hpp"`
`#include "station_type.h"`
`#include "company_type.h"`
`#include "cargo_type.h"`

Go to the source code of this file.

## Functions
Pair | SetupSubsidyDecodeParam (const struct Subsidy *s, bool mode)
void | DeleteSubsidyWith (SourceType type, SourceID index)
| Delete the subsidies associated with a given cargo source type and id. More...
bool | CheckSubsidised (CargoID cargo_type, CompanyID company, SourceType src_type, SourceID src, const Station *st)
| Tests whether given delivery is subsidised and possibly awards the subsidy to delivering company. More...
void | RebuildSubsidisedSourceAndDestinationCache ()
| Perform a full rebuild of the subsidies cache. More...
void | DeleteSubsidy (struct Subsidy *s)

## Detailed Description

Functions related to subsidies.

Definition in file subsidy_func.h.

## Function Documentation

## ◆ CheckSubsidised()

bool CheckSubsidised | ( | CargoID | cargo_type,
|  | CompanyID | company,
|  | SourceType | src_type,
|  | SourceID | src,
|  | const Station * | st
| ) |  |

Tests whether given delivery is subsidised and possibly awards the subsidy to delivering company.

Parameters

  cargo_type | type of cargo
  company | company delivering the cargo
  src_type | type of src
  src | index of source
  st | station where the cargo is delivered to

Returns
  is the delivery subsidised?

Definition at line 548 of file subsidy.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::Get(), INVALID_SOURCE, POS_SRC, BaseStation::rect, ST_INDUSTRY, and ST_TOWN.

## ◆ DeleteSubsidyWith()

void DeleteSubsidyWith | ( | SourceType | type,
|  | SourceID | index
| ) |  |

Delete the subsidies associated with a given cargo source type and id.

Parameters

  type | Cargo source type of the id.
  index | Id to remove.

Definition at line 153 of file subsidy.cpp.

## ◆ RebuildSubsidisedSourceAndDestinationCache()

void RebuildSubsidisedSourceAndDestinationCache | ( |  | ) |

Perform a full rebuild of the subsidies cache.

Definition at line 133 of file subsidy.cpp.